### Signal

# Clutter Timeline::completed

#### Declaration

    void
    completed (
      ClutterTimeline* self,
      gpointer user_data
    )

#### Description [src]

The signal is emitted when the timeline’s elapsed time reaches the value of the `ClutterTimeline:duration` property.

This signal will be emitted even if the `ClutterTimeline` is set to be repeating.

If you want to get notification on whether the `ClutterTimeline` has been stopped or has finished its run, including its eventual repeats, you should use the `ClutterTimeline::stopped` signal instead.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.